Subject: Re: [PATCH 2] gitweb: Use list for of open for running git commands, thorougly.

From: Jakub Narebski <[email-masked]>
Date: Mon, 31 Jul 2006 13:42:26 +0200

Junio C Hamano wrote:

> This, together with PATCH 6, seems to break "history" link.
> Visit a repository (summary page), click on "tree" on the second
> line, and click on "history" (on any blob or tree).

Strange... returning this part of git_history to previous version, i.e.

  open my $fd, "-|",
    "$GIT rev-list --full-history $hash_base -- \'$file_name\'";

still gives no history. Curious. Will examine that...

> BTW, please be careful on trailing whitespaces.

I'm sorry for that. I have forgot to turn-on default git pre-commit it clone
of git repository I'm not working on...

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git